Loading...
Searching...
No Matches
apr_array_header_t Struct Reference
Apache Portability Runtime library » Table and Array Functions

`#include <apr_tables.h>`

## Data Fields

apr_pool_t * | pool
int | elt_size
int | nelts
int | nalloc
char * | elts

## Detailed Description

An opaque array type

## Field Documentation

## elt_size

int apr_array_header_t::elt_size

The amount of memory allocated for each element of the array

## elts

char* apr_array_header_t::elts

The elements in the array

## nalloc

int apr_array_header_t::nalloc

The number of elements allocated in the array

## nelts

int apr_array_header_t::nelts

The number of active elements in the array

## pool

apr_pool_t* apr_array_header_t::pool

The pool the array is allocated out of

The documentation for this struct was generated from the following file:

- apr_tables.h